#ifndef WRP_VECTORWRP_H
#define WRP_VECTORWRP_H
#include <ivrs/gen/vertexdatawrp.h>
#include "../../../vrs/include/vrs/vector.h"

IVRS_NAMESPACE_BEGIN
using namespace VRS;
using namespace LDX;

class Wrp_Vector : public Wrp_VertexData<3,double> {
public:
	Wrp_Vector(void* obj = 0) : Wrp_VertexData<3,double>(obj) { }
	virtual void destroyObject() {  delete reinterpret_cast<Vector*>(obj_); obj_ = 0;  }
	virtual Wrapper* clone(void* obj) const { return new Wrp_Vector(obj); }
	static WrapperClassInfo* WrapperInfo();
	virtual WrapperClassInfo* wrapperInfo() const { return Wrp_Vector::WrapperInfo(); };
	virtual EnumTable* enumtable() const { return 0; }

	//  Vector ( double double double )
	const char* m_5649_45290(int argc, const char** argv);

	// bool operator== ( Vector )
	const char* m_27814_5649(int argc, const char** argv);

	// bool operator!= ( Vector )
	const char* m_27282_5649(int argc, const char** argv);

	// bool operator< ( Vector )
	const char* m_25093_5649(int argc, const char** argv);

	// Vector& operator+= ( Vector )
	const char* m_12176_5649(int argc, const char** argv);

	// Vector& operator-= ( Vector )
	const char* m_12214_5649(int argc, const char** argv);

	// Vector& operator*= ( Vector )
	const char* m_12157_5649(int argc, const char** argv);

	// Vector& operator*= ( double )
	const char* m_12157_5741(int argc, const char** argv);

	// Vector& operator/= ( double )
	const char* m_12252_5741(int argc, const char** argv);

	// Vector operator+ ( Vector )
	const char* m_24736_5649(int argc, const char** argv);

	// Vector operator- ( Vector )
	const char* m_24778_5649(int argc, const char** argv);

	// Vector operator* ( Vector )
	const char* m_24715_5649(int argc, const char** argv);

	// Vector operator* ( double )
	const char* m_24715_5741(int argc, const char** argv);

	// Vector operator/ ( double )
	const char* m_24820_5741(int argc, const char** argv);

	// Vector operator- (  )
	const char* m_24778_0(int argc, const char** argv);

	// Vector normalized (  )
	const char* m_29344_0(int argc, const char** argv);

	// bool normalize (  )
	const char* m_11702_0(int argc, const char** argv);

	// double abs (  )
	const char* m_9616_0(int argc, const char** argv);

	// double abs2 (  )
	const char* m_11110_0(int argc, const char** argv);

	// double dotProduct ( Vector )
	const char* m_29264_5649(int argc, const char** argv);

	// Vector crossProduct ( Vector )
	const char* m_36977_5649(int argc, const char** argv);

	// bool isOrigin (  )
	const char* m_22368_0(int argc, const char** argv);

	virtual MethodTable* methodTable() const;
};

IVRS_NAMESPACE_END



#endif //WRP_VECTORWRP_H
