#ifndef _WRPEXCEPTION_H
#define _WRPEXCEPTION_H

#include <vrs/config.h>
#include <ivrs/wrapperconfig.h>

IVRS_NAMESPACE_BEGIN

class WrapperException {
public:
    const char* message() const;
protected:
    char* msg_;
};

class InternalException : public WrapperException  {
public:
	InternalException (const char* reason, const char* scope, const char** argv);
    ~InternalException();
};

class ConvertException : public WrapperException {
public:
	ConvertException (const char* destination, const char* input);    
    ~ConvertException ();
};

IVRS_NAMESPACE_END

#endif
