
if {[regexp {Vrs} [info loaded]] == 0} {

    # set platform library
    if {$tcl_platform(platform) == "windows"} {
        if {[file exists ../../lib/ivrs.dll]} {
           set lib ../../lib/ivrs.dll
        } else {
           set lib ../../lib/ivrs_debug.dll
        }
    } else {
        set lib ../../lib/libivrs.so 
    }

    # load library
    load $lib vrs
}

source ../tkcon.tcl

proc _VRSIterator {type argref} {
	upvar 1 $argref args
    set ll [new List<$type>]
    foreach t $args { $ll append $t }
    set itr [$ll newIterator]
    delete $ll
    return $itr
}

foreach t { Vector Color double int } {
    proc [set t]Itr { args } " return \[ _VRSIterator $t  args \]"
}

