#include <ivrs/gen/arraywrp.h>
#include <ivrs/gen/iteratorwrp.h>
#include <ivrs/gen/iterator2dwrp.h>
#include <ivrs/gen/array2dwrp.h>
#include <ivrs/gen/dictionarywrp.h>
#include <ivrs/gen/vector3basewrp.h>
#include <ivrs/gen/colorwrp.h>
#include <ivrs/gen/callback1wrp.h>
#include <ivrs/gen/tclcallback1wrp.h>
#include <ivrs/gen/tclcallbackr1wrp.h>
#include <ivrs/gen/tclcallbackr2wrp.h>

IVRS_NAMESPACE_BEGIN
using namespace VRS;

#define REGISTER_TEMPLATE_PROTOTYPES( TEMPLATE ) \
    static PrototypeRegister init0##TEMPLATE(new Wrp_## TEMPLATE < int >(0)); \
    static PrototypeRegister init1##TEMPLATE(new Wrp_## TEMPLATE < unsigned int >(0)); \
    static PrototypeRegister init2##TEMPLATE(new Wrp_## TEMPLATE < double >(0)); \
    static PrototypeRegister init3##TEMPLATE(new Wrp_## TEMPLATE < Vector >(0)); \
    static PrototypeRegister init4##TEMPLATE(new Wrp_## TEMPLATE < Color >(0)); \
    static PrototypeRegister init5##TEMPLATE(new Wrp_## TEMPLATE < SO<SharedObj> >(0)); \
    static PrototypeRegister init6##TEMPLATE(new Wrp_## TEMPLATE < float >(0)); \
    static PrototypeRegister init7##TEMPLATE(new Wrp_## TEMPLATE < std::string >(0)); \

/* does not compile anymore. important?
    static PrototypeRegister init8##TEMPLATE(new Wrp_## TEMPLATE < SharedObj* >(0));
*/
REGISTER_TEMPLATE_PROTOTYPES (Array)
REGISTER_TEMPLATE_PROTOTYPES (Array2D)
REGISTER_TEMPLATE_PROTOTYPES (Iterator)
REGISTER_TEMPLATE_PROTOTYPES (Iterator2D)
REGISTER_TEMPLATE_PROTOTYPES (Callback1)
REGISTER_TEMPLATE_PROTOTYPES (TclCallback1)

//static PrototypeRegister init0TclCallbackR1(new Wrp_TclCallbackR1 < bool, unsigned int >(0));
//static PrototypeRegister init0TclCallbackR2(new Wrp_TclCallbackR2 < bool, double, std::string >(0));
//static PrototypeRegister init0Dictionary(new Wrp_Dictionary < std::string, std::string>(0)); 

IVRS_NAMESPACE_END
