

set output [open out.txt w]

foreach classname [db::getClasses] {
	puts $output "\nKlasse $classname abgeleitet von [db::getParent $classname]"
    set tmpl [db::getTemplate $classname]
    if {$tmpl != ""} { puts $output "ist Template Klasse: $tmpl" }
	foreach tag [db::getMethodTags $classname] {		
		puts $output "Methode [db::getMethodFlags $classname $tag]:  [db::getMethodReturnType $classname $tag ] [db::getMethodName $classname $tag ] \([db::getMethodArgs $classname $tag ]\)"
	}
}

close $output	